var args = arguments[0] || {},
		buttonLock = false;

function takePressed() {
	if (!buttonLock) {
		removeEventListeners();
		Ti.Media.takePicture();
	}
}

function cancelPressed() {
	if (!buttonLock) {
		removeEventListeners();
		if (args.cancel) {
			args.cancel.call(null);
		}

		Ti.Media.hideCamera();
	}
}

function init() {
	var utility = require('utility');
	$.messageV.width = (utility.getActualDeviceHeight() * 0.9) * 0.94;

	addEventListeners();
}

function addEventListeners() {
	buttonLock = false;
}

function removeEventListeners() {
	buttonLock = true;
}

exports.setChequeDirection = function() {
	$.messageH.text = "Image - place your cheque on a flat surface with adequate lighting. Ensure you capture a clear image of the entire cheque inside the brackets.";
};
	
exports.getHorizontalLayout = function() {
	return $.horizontalOverlayContainer;
};

exports.getVerticalLayout = function() {
	return $.verticalOverlayContainer;
};

exports.enableButtons = addEventListeners;

init();